function clone_stair(source_id, target_id) {
    const fields = [
        "stn",
	"finish",
	"finish_custom",
        "stringer_type",
        "stringer_custom",
        "stair_con",
        "stair_con_custom",
        "stair_qt",
        "land_con",
        "land_con_custom",
        "land_qt",
        "rail_type",
        "rail_type_custom",
	"stair_fabs",
	"land_fabs",
	"rail_fabs",
	"embeds_shop",
	"stairs_shop",
	"lands_shop",
	"rails_shop"
    ]
    for (field of fields) {
        let source_field = source_id + "-" + field;
        let target_field = target_id + "-" + field;
        console.log("source: " + source_field);
        console.log("target: " + target_field);
        $(target_field).val($(source_field).val());
    }
}

document.addEventListener('formset:added', (event) => {
    if (event.detail.formsetName == 'stair_set') {
        let source_id = "#id_" + event.target.previousSibling.id;
        let target_id = "#id_" + event.target.id;
        console.log("source: " + source_id);
        console.log("target: " + target_id);
        clone_stair(source_id, target_id);
    }
});
