from django import template


register = template.Library()

@register.filter()
def dwgcount(dictionary, arg=None):
    def count(x):
        k,v = x
        if k[-4:]=='.dwg':
            return 1
        if isinstance(v, dict):
            return sum(map(count, v.items()))
    return sum(map(count, dictionary.items()))
