from django import template


register = template.Library()

alphabet = 'abcdefghijklmnopqrstuvwxyz'
specials = '0123456789-_:.'
ALLOWED = [
    *alphabet,
    *alphabet.upper(),
    *specials,
]

@register.filter()
def idencode(value, arg=None):
    return ''.join(map(lambda c: c if c in ALLOWED else '_', value))
