from django.template.loader import render_to_string
from pathlib import Path

def render_tooltip(content, title):
    return render_to_string(
        'jobs/_tooltip.html',
        {'content': content, 'title': title},
    )

def flatten(seqs):
    return [x for seq in seqs for x in seq]

def first_key(dic: dict, keys: list[str]):
    for key in keys:
        if key in dic:
            return dic[key]
    return None
